Package Details: xfce4-dockbarx-plugin-git 0.6+r62+f7585b5-1

Git Clone URL: https://aur.archlinux.org/xfce4-dockbarx-plugin-git.git (read-only, click to copy)
Package Base: xfce4-dockbarx-plugin-git
Description: Embed DockbarX in the xfce4-panel
Upstream URL: https://github.com/m7s/xfce4-dockbarx-plugin
Licenses: X11
Provides: xfce4-dockbarx-plugin=0.6+r62+f7585b5
Submitter: twa022
Maintainer: twa022
Last Packager: twa022
Votes: 2
Popularity: 0.019311
First Submitted: 2015-09-16 15:39
Last Updated: 2020-08-02 19:20

Required by (2)

  • dockbarx (requires xfce4-dockbarx-plugin) (optional)
  • dockbarx-git (requires xfce4-dockbarx-plugin) (optional)

Sources (2)

Latest Comments

ashton commented on 2020-03-30 11:08

it seems this patch breaks xfce4-popup-windowmenu

twa022 commented on 2020-03-16 17:28

@javum: I added an xfce4-panel package to the AUR with the required patches and changed the requirements so this can build with vala 0.48. I'll change the dependency back once the fix is incorporated and released.

javum commented on 2020-03-09 05:56

It's vala 0.48 changes. You need rebuild xfce4-panel with this patch: https://bugzilla.xfce.org/show_bug.cgi?id=16426#c9

javum commented on 2020-03-07 09:57

I have such error during build:

[2/5] Compiling data/dockbarx.desktop.in
Compilation failed: 1 error(s), 0 warning(s)

libxfce4panel-2.0.vapi:124.3-124.41: error: overriding method `Xfce.PanelPlugin.remote_event' is incompatible with base method `bool Xfce.PanelPluginProvider.remote_event (string, GLib.Value, uint)': too few parameters.
        public virtual signal bool remote_event (string name, GLib.Value value);
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

Waf: Leaving directory `/home/javum/.cache/pacaur/xfce4-dockbarx-plugin-gtk3-git/src/xfce4-dockbarx-plugin/build'
Build failed
 -> task in 'dockbarx' failed with exit status 1 (run with -v to display more information)

Any ideas?